Skip to main content
POST
/
v1
/
auth
/
erc-4361
/
login
/
complete_challenge
Complete SIWE Login
curl --request POST \
  --url https://api.ondoperps.xyz/v1/auth/erc-4361/login/complete_challenge \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "id": "ub6EabCuCiw9HvYyhsZhWzv8mntMgZ-vDGzZKvvCi_o=",
  "signature": "8650fc18ca35d1e3c358b566ff786783978dc16519c055ba2085a2345bed89f46719876e3e01cf3bbf94c50f6b5524c3df3d9881386f11910ddb3a15bfade5f21c",
  "source": "web"
}
'
{
  "success": true,
  "result": {
    "identifier": "0x742d35Cc6634C0532925a3b844Bc9e7595f2bD18",
    "authType": "web3",
    "accountId": "10458932786832481",
    "issuedAtSecs": 1709648400,
    "expirationSecs": 1709734800,
    "token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...",
    "newAccount": false
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
id
string
required

The ID of the login challenge

Example:

"ub6EabCuCiw9HvYyhsZhWzv8mntMgZ-vDGzZKvvCi_o="

signature
string
required

The signed challenge proving wallet ownership

Example:

"8650fc18ca35d1e3c358b566ff786783978dc16519c055ba2085a2345bed89f46719876e3e01cf3bbf94c50f6b5524c3df3d9881386f11910ddb3a15bfade5f21c"

source
string

Optional source identifier

Example:

"web"

Response

Auth token

success
boolean
required

Whether the request was successful

Example:

true

error
string

Error message, present only on failure

Example:

""

error_code
string

Semantic error code. See each endpoint's error responses for the specific codes it can return.

deprecated
string

Deprecation notice, if applicable

Example:

""

result
object